Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.bridge.builtin
Class DateBridge

    java.lang.Object
      org.hibernate.search.bridge.builtin.DateBridge

All Implemented Interfaces:
  ParameterizedBridge, StringBridge, TwoWayStringBridge

    public class DateBridge

extends Object
implements TwoWayStringBridge, ParameterizedBridge

Bridge a java.util.Date to a String, truncated to the resolution Date are stored GMT based

ie Resolution.YEAR: yyyy Resolution.MONTH: yyyyMM Resolution.DAY: yyyyMMdd Resolution.HOUR: yyyyMMddHH Resolution.MINUTE: yyyyMMddHHmm Resolution.SECOND: yyyyMMddHHmmss Resolution.MILLISECOND: yyyyMMddHHmmssSSS

Author:
  Emmanuel Bernard

Field Summary
`static TwoWayStringBridge` | `DATE_DAY`
`static TwoWayStringBridge` | `DATE_HOUR`
`static TwoWayStringBridge` | `DATE_MILLISECOND`
`static TwoWayStringBridge` | `DATE_MINUTE`
`static TwoWayStringBridge` | `DATE_MONTH`
`static TwoWayStringBridge` | `DATE_SECOND`
`static TwoWayStringBridge` | `DATE_YEAR`

Constructor Summary
`DateBridge()`
`DateBridge(Resolution resolution)`

Method Summary
`String` | `objectToString(Object object)` convert the object representation to a String The return String must not be null, it can be empty though
`void` | `setParameterValues(Map parameters)`
`Object` | `stringToObject(String stringValue)` Convert the string representation to an object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_YEAR

    public static final TwoWayStringBridge DATE_YEAR

### DATE_MONTH

    public static final TwoWayStringBridge DATE_MONTH

### DATE_DAY

    public static final TwoWayStringBridge DATE_DAY

### DATE_HOUR

    public static final TwoWayStringBridge DATE_HOUR

### DATE_MINUTE

    public static final TwoWayStringBridge DATE_MINUTE

### DATE_SECOND

    public static final TwoWayStringBridge DATE_SECOND

### DATE_MILLISECOND

    public static final TwoWayStringBridge DATE_MILLISECOND

Constructor Detail

### DateBridge

    public DateBridge()

### DateBridge

    public DateBridge(Resolution resolution)

Method Detail

### stringToObject

    public Object stringToObject(String stringValue)

  Description copied from interface: `TwoWayStringBridge`
  Convert the string representation to an object

  Specified by:
    `stringToObject` in interface `TwoWayStringBridge`

### objectToString

    public String objectToString(Object object)

  Description copied from interface: `StringBridge`
  convert the object representation to a String The return String must not be null, it can be empty though

  Specified by:
    `objectToString` in interface `StringBridge`

### setParameterValues

    public void setParameterValues(Map parameters)

  Specified by:
    `setParameterValues` in interface `ParameterizedBridge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD